Subject: bug#25478: 26.0.50; No hooks are called when auto-saving

From: Glenn Morris <[email-masked]>
Date: Fri, 20 Jan 2017 12:42:48 -0500

Eli Zaretskii wrote:

> All in all, I think this option is subtly dangerous and should be
> either deprecated or completely reimplemented to invoke
> basic-save-buffer instead.  I'm quite sure this option made sense in
> the past, when complications with encoding and save-related hooks
> didn't exist, but that is no longer the case in Emacs these days.
> If someone thinks using this option will allow them not to bother with
> saving their edits, they are in for an unpleasant surprise.

Deprecation sounds good to me.
I believe there's a "real-auto-save" package that does a standard save
at intervals.